- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# NumberFormatFactory Class Reference

A NumberFormatFactory is used to register new number formats. More...

`#include <numfmt.h>`

Inheritance diagram for NumberFormatFactory:

## Public Member Functions
virtual | ~NumberFormatFactory ()
| Destructor.
virtual UBool | visible (void) const =0
| Return true if this factory will be visible.
virtual const UnicodeString * | getSupportedIDs (int32_t &count, UErrorCode &status) const=0
| Return the locale names directly supported by this factory.
virtual NumberFormat * | createFormat (const Locale &loc, UNumberFormatStyle formatType)=0
| Return a number format of the appropriate type.

## Detailed Description

A NumberFormatFactory is used to register new number formats.

The factory should be able to create any of the predefined formats for each locale it supports. When registered, the locales it supports extend or override the locale already supported by ICU.

Stable:
  ICU 2.6

Definition at line 766 of file numfmt.h.

## Constructor & Destructor Documentation

virtual NumberFormatFactory::~NumberFormatFactory | ( |  | ) | `[virtual]`

Destructor.

Stable:
  ICU 3.0

## Member Function Documentation

virtual UBool NumberFormatFactory::visible | ( | void |  | ) | const`[pure virtual]`

Return true if this factory will be visible.

Default is true. If not visible, the locales supported by this factory will not be listed by getAvailableLocales.

Stable:
  ICU 2.6

Implemented in SimpleNumberFormatFactory.

virtual const UnicodeString* NumberFormatFactory::getSupportedIDs | ( | int32_t & | count,
|  | UErrorCode & | status |
| ) |  |  | const`[pure virtual]`

Return the locale names directly supported by this factory.

The number of names is returned in count;

Stable:
  ICU 2.6

Implemented in SimpleNumberFormatFactory.

virtual NumberFormat* NumberFormatFactory::createFormat | ( | const Locale & | loc,
|  | UNumberFormatStyle | formatType |
| ) |  |  | `[pure virtual]`

Return a number format of the appropriate type.

If the locale is not supported, return null. If the locale is supported, but the type is not provided by this service, return null. Otherwise return an appropriate instance of NumberFormat.

Stable:
  ICU 2.6

The documentation for this class was generated from the following file:

- numfmt.h